Bug 1653293 - Advance(Scoped_search) search in manage errata page
Summary: Advance(Scoped_search) search in manage errata page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management
Version: 6.4.0
Hardware: All
OS: Linux
high
medium vote
Target Milestone: 6.6.0
Assignee: Walden Raines
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 13:25 UTC by Suraj Patil
Modified: 2019-11-07 20:38 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756044 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:06 UTC
Target Upstream Version:


Attachments (Terms of Use)
tfm-rubygem-katello-3.7.0.58-2.HOTFIXHRBZ1653293.el7sat.noarch.rpm (7.92 MB, application/x-rpm)
2019-08-08 16:55 UTC, Mike McCune
no flags Details
Screen shot of manage errata popup for when verifying bug (385.03 KB, image/png)
2019-08-16 21:19 UTC, Perry Gagne
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26318 High Closed Advance(Scoped_search) search in manage errata page 2020-01-06 06:49:19 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:21 UTC

Description Suraj Patil 2018-11-26 13:25:29 UTC
Description of problem:
There should be the advance search in manage errata page. We should be able to search the errata like (type = security). 

Version-Release number of selected component (if applicable):
satellite 6.4.0

Steps to Reproduce:
1. Go to satellite web UI > Hosts > content hosts. 
2. click on the check box of any content hosts > select action > manage errata
3. try to search (type = security).

Actual results:
No able to search. 

Expected results:
should able to sort security errata.

Comment 4 Bryan Kearney 2018-12-13 18:23:15 UTC
This exists today. There is not an advanced checkbox, but you can type in things like 'type = security'

Comment 5 selvam 2019-01-07 10:23:06 UTC
I updated today satellite with 6.4.1 but still it is not addressed.

Please reopen the bug again and make the permanent fix.

Comment 6 selvam 2019-01-07 10:24:44 UTC
I also updated the redhat case with screenshot.  Please check with support engineer for the screenshot.

Comment 14 Walden Raines 2019-03-12 13:36:18 UTC
Created redmine issue https://projects.theforeman.org/issues/26318 from this bug

Comment 27 Bryan Kearney 2019-07-25 20:01:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26318 has been resolved.

Comment 28 Mike McCune 2019-08-08 16:55:31 UTC
Created attachment 1601885 [details]
tfm-rubygem-katello-3.7.0.58-2.HOTFIXHRBZ1653293.el7sat.noarch.rpm

Comment 29 Mike McCune 2019-08-08 16:56:08 UTC
*** Satellite 6.4.4 Hotfix Available ***

1) Download tfm-rubygem-katello-3.7.0.58-2.HOTFIXHRBZ1653293.el7sat.noarch.rpm from this bugzilla to your Satellite

2) Install:

rpm -Uvh tfm-rubygem-katello-3.7.0.58-2.HOTFIXHRBZ1653293.el7sat.noarch.rpm 

3) restart:

foreman-maintain service restart

4) resume operations

Comment 31 Perry Gagne 2019-08-16 21:17:55 UTC
Verified fix in Sat 6.6 snap 16

1. Created hosts that had applicable errata.
2. Content Hosts -> check content host boxes -> Select Action -> Manage Errata 
3. Search for "type = security" 

Security errata where filtered correctly. See attached screenshot

Comment 32 Perry Gagne 2019-08-16 21:19:34 UTC
Created attachment 1605134 [details]
Screen shot of manage errata popup for when verifying bug

Comment 33 selvam 2019-08-17 03:58:04 UTC
Thanks.  I will check and let you know how it works in our environment.

Comment 34 selvam 2019-08-17 04:37:00 UTC
It is not working after applying the patch and restarting the satellite.

Error: Web application not started

Undefined method 'post_exector_init' for no method error.

Comment 35 selvam 2019-08-17 04:37:44 UTC
log attrached in redhat case. 02255581

Comment 37 errata-xmlrpc 2019-10-22 12:47:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.